<div class="container">
  <h1 class="text-center my-2">Spieler</h1>
  <hr class="my-3"/>
  <div class="row">
  <div class="col-md-6 card">
    <div>
      <h1 class="text-center my-3">Informationen</h1>
      <div>
        <p>Raum: {{roomInfo}}</p>
      </div>
      <div>
        <p>Charakter: {{characterInfo}}</p>
      </div>
    </div>
    <div>
      <h1 class="text-center my-3">Aktionen</h1>
      <div>
        <p>Nachrichten:</p>
        <div *ngFor="let actionMessage of actionMessages">
          <p>{{actionMessage}}</p>
        </div>
      </div>
      <form [formGroup]="actionForm" (ngSubmit)="action()">
        <div>
            <label for="form5">Optionen:</label>
            <ul>
              <li>watch room</li>
              <li>watch character</li>
              <li>change room RAUMNR</li>
              <li>Chatte zum Dungeonmaster</li>
            </ul>
            <input id="form5" class="form-control mb-4" formControlName="input" placeholder="Optionen">

        </div>
        <div>
          <button mdbBtn color="red" type="submit" [disabled]="actionForm.invalid">Aktion ausführen</button>
        </div>
      </form>
    </div>
  </div>
  <div class="col-md-6 card">
    <h2 class="text-center my-3">Chat</h2>
    <div class="card">
      <h6 class="card-header">Nachrichten:</h6>
      <div *ngFor="let message of chatMessages">
        <p>{{message}}</p>
      </div>
    </div>
    <div class="card my-2">
      <h6 class="card-header">Nachrichten senden:</h6>
    <form [formGroup]="chatForm" (ngSubmit)="chat()">
      <div class="my-2">
          <label for="form6" >Optionen:</label>
          <ul>
            <li>SpielerID</li>
            <li>Nichts für Raumchat</li>
          </ul>
          <input id="form6" class="form-control mb-4" formControlName="receiverID" placeholder="Optionen">
          <label for="form7">Nachricht</label>
          <input id="form7" class="form-control mb-4" formControlName="input" placeholder="Nachricht">
      </div>
      <div>
        <button mdbBtn color="red" type="submit" [disabled]="chatForm.invalid">Nachricht senden</button>
      </div>
    </form>
    </div>
  </div>
  </div>
  <hr class="my-2"/>
  <button mdbBtn color="red" (click)="quit()">Spiel beenden</button>
  <button mdbBtn color="red" (click)="deleteCharacter()">Abmelden und Charakter löschen</button>
  <hr class="my-2"/>
</div>


